<?php
 error_reporting(E_ALL);
ini_set('display_errors', '1');
 session_start();
  $rut=$_SESSION['rut'];
  $cliente=$_SESSION['cliente'];

$caja_id=$_REQUEST['caja_id'];
$pi_folio=$_REQUEST['pi_folio'];
$norma_id=$_REQUEST['norma_id'];
$num=$_REQUEST['num'];
$embalaje_cod=$_REQUEST['embalaje_cod'];
$variedad_id=$_REQUEST['variedad_id'];


$productor_id=$_REQUEST['productor_id'];

if(isset($_REQUEST['n_lote'])){
	$n_lote=$_REQUEST['n_lote'];
}else{
	$n_lote="";
}

if(isset($_REQUEST['n_proceso'])){
	$n_proceso=$_REQUEST['n_proceso'];
}else{
	$n_proceso="";
}

if(isset($_REQUEST['folio_pallet'])){
	$folio_pallet=$_REQUEST['folio_pallet'];
}else{
	$folio_pallet="";
}

if(isset($_REQUEST['camara_id'])){
	$camara_id=$_REQUEST['camara_id'];
}else{
	$camara_id="";
}

if(isset($_REQUEST['observacion'])){
	$observacion=$_REQUEST['observacion'];
}else{
	$observacion="";
}


//date_default_timezone_set('America/Santiago');
date_default_timezone_set('America/Santiago');
$time = time();
$hora=date("h:i", $time);
$hora2=date("h:i:s", $time);
$fecha_buena=date('Y-m-d');
$fecha_buena2=$fecha_buena." ".$hora2;


include '../../conexion/conn.php';

$sql4 = "DELETE FROM cal_caja_causal WHERE caja_id='$caja_id'";
$result4 = @mysql_query($sql4);
$sql4 = "DELETE FROM cal_cajas_det WHERE caja_id='$caja_id'";
$result4 = @mysql_query($sql4);

$rs = mysql_query("SELECT * FROM cal_cajas where caja_id='$caja_id'");

           if($row = mysql_fetch_array($rs)){
            $sincro=$row['sincro'];
            

          }

          if($sincro=="N"){
          	$sincro="N";
          }else if($sincro=="S"){
          	$sincro="E";
          }else{
          	$sincro="E";
          }

if(isset($_REQUEST['editar'])){
	$sql = "UPDATE cal_cajas SET  
	norma_id='$norma_id',
	num='$num',
	embalaje_cod='$embalaje_cod',
	variedad_id='$variedad_id',
	productor_id='$productor_id',
	n_lote='$n_lote',
	n_proceso='$n_proceso',
	camara='$camara_id',
	observacion='$observacion',
	fecha_modificacion='$fecha_buena2',
	sincro='$sincro'	
	WHERE caja_id='$caja_id'";
	$result = @mysql_query($sql);
}else{
	$sql =  ("INSERT INTO cal_cajas(caja_id, pi_folio, norma_id, num, embalaje_cod, variedad_id, productor_id, n_lote, n_proceso, camara, observacion, cliente_id, sincro, fecha_creacion) VALUES('$caja_id', '$pi_folio', '$norma_id', '$num', '$embalaje_cod', '$variedad_id', '$productor_id', '$n_lote', '$n_proceso', '$camara_id', '$observacion', '$cliente', '$sincro', '$fecha_buena2')");
	$result = @mysql_query($sql);

}



$rs2 = mysql_query("SELECT * FROM `cal_norma_detalle` INNER JOIN cal_planilla_defectos ON cal_planilla_defectos.id_planilla_defecto=cal_norma_detalle.id_planilla_defecto INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_norma_detalle.norma_id='$norma_id' ORDER BY cal_norma_detalle.orden_ingreso ASC");

    while($row2 = mysql_fetch_array($rs2)){
      $id_defecto=$row2['id_defecto'];
      $tipo_medicion=$row2['tipo_medicion'];
      $nombre_defecto=$row2['nombre_defecto'];
      $cal_caja_causal_id=$caja_id."_".$id_defecto;
      $cajas_det_id=$caja_id."_".$id_defecto;
      if($tipo_medicion!="CALIBRE" && $tipo_medicion!="FOLIO PALLET" && $tipo_medicion!="CANT CAJAS" && $tipo_medicion!="NOTA CALIDAD" && $tipo_medicion!="NOTA CONDICION" && $tipo_medicion!="NFRUTOS"){

      	if($tipo_medicion=="NUMERICO"){
      		if(isset($_REQUEST[$id_defecto])){
      			$valor_real=$_REQUEST[$id_defecto];
	      		if($valor_real!=""){
	      			$valor_defecto=$_REQUEST[$id_defecto.'p1'];
		      		$valor_cumple=$_REQUEST[$id_defecto.'cumple'];
			      	$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_real', '$valor_cumple', '$cliente')");
					$result = @mysql_query($sql);
	      		}
      		}
      		
      		
      	}else if($tipo_medicion=="OTROS CONDICION"){
      		if(isset($_REQUEST['otros_condicion'])){
	      		$valor_real=$_REQUEST['otros_condicion'];
	      		if($valor_real!=""){
	      			$valor_defecto=$_REQUEST['otros_condicionp1'];
		      		$valor_cumple=$_REQUEST['otros_condicioncumple'];
			      	$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_real', '$valor_cumple', '$cliente')");
					$result = @mysql_query($sql);
	      		}
	      	}
      	}else if($tipo_medicion=="SUMA"){
      		if(isset($_REQUEST['suma'])){
	      		$valor_real=$_REQUEST['suma'];
	      		if($valor_real!=""){
	      			$valor_defecto=$_REQUEST['sumap1'];
		      		$valor_cumple=$_REQUEST['sumacumple'];
			      	$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_real', '$valor_cumple', '$cliente')");
					$result = @mysql_query($sql);
	      		}
	      	}
      	}else if($tipo_medicion=="FRUTOS EXPORTABLES"){
      		if(isset($_REQUEST['frutos_exportables'])){
	      		$valor_real=$_REQUEST['frutos_exportables'];
	      		if($valor_real!=""){
	      			$valor_defecto=$_REQUEST['frutos_exportablesp1'];
		      		$valor_cumple=$_REQUEST['frutos_exportablescumple'];
			      	$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_real', '$valor_cumple', '$cliente')");
					$result = @mysql_query($sql);
	      		}
	      	}
      	}else if($tipo_medicion=="OTROS CALIDAD"){
      		if(isset($_REQUEST['otros_calidad'])){
	      		$valor_real=$_REQUEST['otros_calidad'];
	      		if($valor_real!=""){
	      			$valor_defecto=$_REQUEST['otros_calidadp1'];
		      		$valor_cumple=$_REQUEST['otros_calidadcumple'];
			      	$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_real', '$valor_cumple', '$cliente')");
					$result = @mysql_query($sql);
	      		}
	      	}
      	}else{
      		if(isset($_REQUEST[$id_defecto])){
	      		$valor_defecto=$_REQUEST[$id_defecto];
	      		if($valor_defecto!=""){
	      			$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_defecto', 'VERDE', '$cliente')");
					$result = @mysql_query($sql);
	      		}
	      	}
	      	
      	}
      	
      	


      }
    }

echo json_encode(array('success'=>true));

?>